
/*****************************/
/* Test fille Ellipse        */
/*    with v_ellipse         */
/*****************************/

int contrl[12],
    intin[128],
    ptsin[128],
    intout[128],
    ptsout[128];

int handle,
    x, y, xradius, yradius;

int set_interior,
    set_color,
    set_mode,
    set_style,
    set_perimeter;

int work_out[57],
    work_in [12];


/******************************/
/*         OPEN_WORK          */
/******************************/

open_work()
{
     int i;

     appl_init();
     for(i=0;i<10;work_in[i++]=1);
     work_in[10] = 2;
     v_opnvwk(work_in, &handle, work_out);
}

/******************************/
/*       CLOSE_WORK           */
/******************************/

close_work()
{
     gemdos(0x1);
     v_clsvwk(handle);
     appl_exit();
}

/******************************/
/*     SET ATTRIBUTES         */
/******************************/

set_attr()
{
    set_interior = vsf_interior(handle, 2);  /* Filltype */
    set_color = vsf_color(handle, 1);
    set_mode = vswr_mode(handle, 1);         
    set_style = vsf_style(handle, 7);        
    set_perimeter = vsf_perimeter(handle, 1);
}

/******************************/
/*        MAIN PROGRAM        */
/******************************/

main()
{
    open_work();
    set_attr();
    v_ellipse(handle, 320, 200, 50, 100);

/*     v_ellipse(handle, 100, 200, 50, 100); color monitor */
    close_work();
}

 
