
/*********************************/
/* Test fill pattern (vsf_style) */ 
/*********************************/

int contrl[12],
    intin[128],
    ptsin[128],
    intout[128],
    ptsout[128];

int handle;

int set_interior,
    set_color,
    set_mode,
    set_style,
    set_perimeter,
    style_index;

int work_out[57],
    work_in [12];

int pxyarray[4];


/******************************/
/*         OPEN_WORK          */
/******************************/

open_work()
{
     int i;

     appl_init();
     for(i=0;i<10;work_in[i++]=1);
     work_in[10] = 2;
     v_opnvwk(work_in, &handle, work_out);
     v_clrwk(handle);
}

/******************************/
/*       CLOSE_WORK           */
/******************************/

close_work()
{
     gemdos(0x1);
     v_clsvwk(handle);
     appl_exit();
}

/******************************/
/*     SET ATTRIBUTES         */
/******************************/

set_attr()
{
    set_color = vsf_color(handle, 1);        /* Fill color black */
    set_mode = vswr_mode(handle, 1);         /* Character mode normal */
    set_perimeter = vsf_perimeter(handle, 1);
}

/******************************/
/*        MAIN PROGRAM        */
/******************************/

main()
{
    int style,index;
    open_work();
    set_attr();
    for (style=0; style<=3; style++)    
    {
       style_index = vsf_interior(handle,style); /* Fill type set */
       for (index=0; index<=24; index++)
       {
          set_style = vsf_style(handle, index);  /* Fill pattern set */
          
          pxyarray[0] = index*20+5;   
          pxyarray[1] = style*80+19; /* 50+0 for color */
          pxyarray[2] = index*20+20;
          pxyarray[3] = style*80+80; /* 50+50 for color */
          
          v_rfbox (handle, pxyarray); 
        }
     }

    close_work();
}

 
